How to create the cylinder shell?

Forums: 

Hello, please tell me. How to create and save (STEP) the cylinder shell, i.e. to have the top and bottom open, just one side surface

Attachments: 
gkv311 n's picture
BRepPrimAPI_MakeCylinder aBuilder(100.0, 50.0);
aBuilder.Build();
if (!aBuilder.IsDone()) { Error }

TopoDS_Face aFace = aBuilder.Face();
...
STEPControl_Writer aWriter;
if (aWriter.Transfer (aFace, STEPControl_AsIs) != IFSelect_RetDone) { Error }
if (aWriter.Write ("cylinder.stp") != IFSelect_RetDone) { Error }
Vladimir Ivanov's picture

Thank you very much. I overdid it myself, I started using gp_Cylinder, convert to Surface etc. Everything turned out to be much simpler.